/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Engine            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef ENGINE_H_
#define ENGINE_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <curses.h>
#include <unistd.h>

/* Define */
#define H  11
#define A  11
#define D  -7
#define C   7
#define E  12
/* Define C */
#define C0  0
#define C1  1
#define C2  2
#define C4  4
#define C8  8

/*---------------------------------------------------------------------------*/

class Game
{
public:	

	/* Variables */
	int L1, POS;
	char amove[C8];
	char matrix[H][C2][C2][C2];

	/*-----------------------------------------------------------------------*/

	Game();
	/* Function */
	void formel(int n,int r);
	void engine(int *ES,int F1,int F2,int T1,int T2);
	void king(int *ES,int F1,int F2,int T1,int T2);
	void queen(int *ES,int F1,int F2,int T1,int T2);
	void turm(int *ES,int F1,int F2,int T1,int T2);
	void springer(int *ES,int F1,int F2,int T1,int T2);
	void bishop(int *ES,int F1,int F2,int T1,int T2);
	void people1(int *ES,int F1,int F2,int T1,int T2);
	void people2(int *ES,int F1,int F2,int T1,int T2);
	void squares(int *ES,int *cbit);
	void sort(char *nmove);
};

/*---------------------------------------------------------------------------*/

#endif
