/***************************************************************************
*                 _                                _                       *
*                /_\                              /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\        Network Stack         /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\                            /___\                     *
*                                                                          *
***************************************************************************/
#ifndef NETWORK_H_
#define NETWORK_H_
/* Header Files */
#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <unistd.h>

const int CON = 2;

//-----------------------------------------------------------------------------

class Network
{	
private:
	int network;
	sockaddr_in server;
	
public:
	Network();
	void socket();
	void bind(const int port);
	void listen() const;
	void accept(Network& ) const;
	void connect(char *serv_addr, const int port );
	void send(char *data, size_t size) const;
	void recv(char *data, size_t size) const;
	void close() const;
};

//-----------------------------------------------------------------------------

#endif



